Page MenuHomePhabricator

Add Rangi language (lag) to Wikidata
Closed, ResolvedPublic

Description

Please add the Rangi language to Wikidata because it has a wiktionary on Incubator, and I'd like to populate Wikidata with Rangi content.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 2 2017, 1:00 PM

I assume you want to add labels and descriptions in Rangi?

I assume you want to add labels and descriptions in Rangi?

That's already at https://translatewiki.net/wiki/Thread:Support/add_Rangi_(lag), so we can just say that Baba Tabita is requesting lag monolingual language support

Comment from lang com?

Langcom has no problem with this; in fact Baba_Tabita is himself a member of Langcom.

Lydia_Pintscher triaged this task as Normal priority.May 11 2017, 8:35 AM

Change 357335 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] Add monolingual language code 'lag'

https://gerrit.wikimedia.org/r/357335

Ladsgroup claimed this task.Jun 6 2017, 2:24 AM
Ladsgroup moved this task from Proposed to Review on the Wikidata-Former-Sprint-Board board.
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJun 6 2017, 2:24 AM
Jonas closed this task as Resolved.Jun 6 2017, 10:20 AM
Jonas moved this task from Review to Done on the Wikidata-Former-Sprint-Board board.

Change 357335 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add monolingual language code 'lag'

https://gerrit.wikimedia.org/r/357335

It still isnt possible to enter Rangi content in Wikidata. How long does it take for this change to go live?

Did you try to add it using the language code?
Thanks,

GerardM

I just made this edit adding a new statement with the language code lag: https://www.wikidata.org/w/index.php?title=Q4115189&diff=504609814&oldid=504408270

I just tried to add the Rangi word for 'dog' to https://www.wikidata.org/wiki/Q144 but an error statement was displayed "lag is not a recognised language code", so I couldn't complete the edit.

Are you trying to add it as a label? That is a distinct list of language codes from the ones that are allowed for monolingual text.

I tried to add it as a label, and also as a taxon common name, both of which failed. Where should I add Rangi translations of metadata into wikidata entries?

Still trying to figure out how to add translations of metadata in other languages to existing wikidata entries. For example, quite apart from entering Rangi language data, I don't seem to be able to add something as useful as a description field for French like "language d'Australie" to https://www.wikidata.org/wiki/Q10474818 (there are only seven languages which already have data entries in the Label and Description fields). Instructions please?

Mbch331 added a subscriber: Mbch331.Jul 3 2017, 9:34 AM

For now you can only add Rangi content to monolingual statements. Not labels and descriptions. For that you need to check https://translatewiki.net/wiki/Thread:Support/add_Rangi_(lag) on the status

When setting my preferences under https://www.wikidata.org/wiki/Special:Preferences, 'user profile' tag, I can choose 'more language settings', and Kilaangi appears under 'suggested languages'. However, whereas all the other suggestions are defined (e.g. Deutsch as 'German', hrvatski as 'Croatian' etc), Kilaangi appears as 'undefined'. What do I have to do in order for Kilaangi to be defined as 'Rangi'?

When setting my preferences under https://www.wikidata.org/wiki/Special:Preferences, 'user profile' tag, I can choose 'more language settings', and Kilaangi appears under 'suggested languages'. However, whereas all the other suggestions are defined (e.g. Deutsch as 'German', hrvatski as 'Croatian' etc), Kilaangi appears as 'undefined'. What do I have to do in order for Kilaangi to be defined as 'Rangi'?

That is another problem. This is about adding Rangi as a monolingual language to be used in some properties. What you describe has to do with ULS. You'll need to file a separate bug for that.

Thanks for the explanation (which I partly understood). I'm just a linguist trying to make languages available on the web (of which there must be thousands, both linguists and languages), so it would be nice to make all of this tech stuff a bit more user-friendly for linguists. But in the absence of step-by-step instructions, I'm continuing and trying to figure all of this out. Cheers!